
int radioSleepPin = 3;                        // The Arduino pin that is connected to the radio's 'sleep' pin
int radioResetPin = 4;                        // The Arduino pin that is connected to the radio's reset pin
int voltageDividerPin = 0;                    // The Arduino pin that is connected to a point on the voltageDivider that never exceeds +5V
int voltageDividerReading = 0;                // A value for storing our ADC reading
float voltage = 0.0;
int volts = 0;
int tenths = 0;
float multiplier = 0.024401; 

void setup() {
  Serial.begin(9600);                         // Start serial port

  pinMode(radioSleepPin, OUTPUT);             // Pulling this pin HIGH later will put the radio into low-power sleep state
  digitalWrite(radioSleepPin, LOW);           // Set the radio's sleep pin to 0V to ensure it is in non-sleeping state

  pinMode(radioResetPin, OUTPUT);             // Pulling this pin LOW later will reset the radio board
  digitalWrite(radioResetPin, HIGH);          // Set the radio's reset pin to 5V (a negative pulse from here causes a reset)

  delay(150);                                 // At least 150ms delay before resetting radio once after Arduino powers on,
  digitalWrite(radioResetPin, LOW);           // as per advice in radio's datasheet
  delay(5);
  digitalWrite(radioResetPin, HIGH);
}

void loop() {
    voltageDividerReading = analogRead(voltageDividerPin);
    voltage = voltageDividerReading * multiplier;
    volts = (int) voltage;
    tenths = ((voltage * 10) - (volts * 10));
    Serial.print("Supply voltage: ");
    Serial.print((int) voltage);
    Serial.print(".");    
    Serial.print(tenths);    
    Serial.println("V DC");    
    Serial.println("");    
    delay(500);
}


